How to get detail view extents - left bottom and top right corners

I’m trying to run Make2D for each detail view on a Layout page and I figured that -SelCrossing can be used to select all visible elements (I couldn’t get SelVisible to work), but I don’t know how to specify detail view extents, e.g. bottom left and top right corner.

I think that it depends on the current CPlane, so I was hoping that they can be somehow retrieved with a method on the sc.doc.Views.ActiveView.ActiveDetail.Viewport object, but so far no luck.

This looked promising, but I couldn’t find any documentation how to use it:

import scriptcontext as sc
import Rhino
c = Rhino.Geometry.Point3d(0,0,0)
a = sc.doc.Views.ActiveView.ActiveDetail.Viewport.GetCameraExtents(c)

Error:

Message: expected IEnumerable[Point3d], got Point3d

If anyone could hint me in some general direction, that would be really useful.